﻿#nullable disable

using AdoNetWrapper.Identity.Common;
using AdoNetWrapperSamples.Identity.RepositoryClasses;

namespace AdoNetWrapperSamples.Identity.Models;

public partial class AdvWorksDbContext : SqlServerDatabaseContext {
  public AdvWorksDbContext(string connectString) : base(connectString) { }

  protected override void Init() {
    base.Init();

    Database = new(this);
    Products = new(this);
  }

  public SqlServerRepositoryBase Database { get; set; }
  public ProductRepository Products { get; set; }
}
