﻿#nullable disable

using System.ComponentModel.DataAnnotations.Schema;

namespace AdoNetWrapperSamples.EntityClasses;

[Table("vProductAndDescription", Schema = "SalesLT")]
public partial class ProductAndDescription {
  public int ProductID { get; set; }
  public string Name { get; set; }
  public string ProductModel { get; set; }
  public string Culture { get; set; }
  public string Description { get; set; }

  public override string ToString() {
    return $"Name={Name} - ProductModel={ProductModel} - Description={Description}";
  }
}
